/*-
 * Copyright (c) 2006 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id$
 */

#include "compat_glibc.h"
#include <sys/utsname.h>
#include <string.h>


/*
 * uname(3)
 */
GLIBC_COMPAT_2(uname, 2, 0);

int
GLIBC_SYMBOL_2(uname, 2, 0)
	(struct linux_utsname *l_name)
{
	int ret;
	struct utsname name;

	CLEAR_ERRNO;

	ret = uname(&name);

	memset(l_name, '\0', sizeof(struct linux_utsname));
	strncpy(l_name->sysname,     name.sysname,      UTSNAME_LENGTH);
	strncpy(l_name->nodename,    name.nodename,     UTSNAME_LENGTH);
	strncpy(l_name->release,     name.release,      UTSNAME_LENGTH);
	strncpy(l_name->version,     name.version,      UTSNAME_LENGTH);
	strncpy(l_name->machine,     name.machine,      UTSNAME_LENGTH);
	strncpy(l_name->domainname,  "hiroo.nobutaka",  UTSNAME_LENGTH);

	dprintf("*uname([0x%p]) = %d / ERRNO = %d", l_name, ret, errno);

	return ret;
}
