/*-
 * Copyright (c) 2002-2005,2006 Norikatsu Shigemura
 * Copyright (c) 2006 MANTANI Nobutaka
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id$
 */

#include "compat_glibc.h"
#include <sys/types.h>
#include <sys/socket.h>


/*
 * accept(2)
 */
GLIBC_COMPAT_2(accept, 2, 0);

int
GLIBC_SYMBOL_2(accept, 2, 0)
	(int s, struct linux_sockaddr *l_addr, int *addrlen)
{
	int ret;

	CLEAR_ERRNO;

	/* XXX: not implemented conversion from sockaddr to osockaddr. */
	if(  s >=  0  )  {
		ret = accept(s, (struct sockaddr *)l_addr, (socklen_t *)addrlen);
	}  else  {
		ret = -1;
		errno = EBADF;
	}

	dprintf("accept(s=%d, addr=0x%08x, addrlen=%08x) = %d / ERRNO = %d", s, l_addr, addrlen, ret, errno);

	return ret;
}
